import { TemplateRef, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SDSSelectedItemModel } from '../selected-result/models/sds-selectedItem.model';
import { SDSAutocompleteServiceInterface } from '../autocomplete-search/models/SDSAutocompleteServiceInterface';
import { SDSAutocompletelConfiguration } from './models/SDSAutocompletelConfiguration.model';
import { SDSAutocompleteSearchComponent } from '../autocomplete-search/autocomplete-search.component';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SDSAutocompleteComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private cd;
    /**
     * Allow to insert a customized template for suggestions results
     */
    suggestionTemplate: TemplateRef<any>;
    /**
     * Allow to insert a customized template for selected items
     */
    selectedItemTemplate: TemplateRef<any>;
    /**
     * The data model that has the selected item
     */
    model: SDSSelectedItemModel;
    disabled: boolean;
    /**
     * Configuration for the control
     */
    configuration: SDSAutocompletelConfiguration;
    /**
     * Model contain only the primary key, primary value, and secondary value.
     */
    essentialModelFields: boolean;
    /**
     * Instance of the SamHiercarchicalServiceInterface provided
     */
    service: SDSAutocompleteServiceInterface;
    _subscriptions: Subscription;
    autocompleteSearch: SDSAutocompleteSearchComponent;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Stored Event for ControlValueAccessor
     */
    onTouched: () => void;
    /**
     * Stored Event for ControlValueAccessor
     */
    onChange: (_: any) => void;
    writeValue(value: any): void;
    updateItems($event: any): void;
    updateModel(): void;
    getModel(): object[];
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    isSingleMode(): boolean;
    addItem(item: object): void;
    addItems(list: object[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SDSAutocompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SDSAutocompleteComponent, "sds-autocomplete", never, { "suggestionTemplate": { "alias": "suggestionTemplate"; "required": false; }; "selectedItemTemplate": { "alias": "selectedItemTemplate"; "required": false; }; "configuration": { "alias": "configuration"; "required": false; }; "essentialModelFields": { "alias": "essentialModelFields"; "required": false; }; "service": { "alias": "service"; "required": false; }; }, {}, never, never, false, never>;
}
