import { OnChanges, OnInit, SimpleChanges, ElementRef } from '@angular/core';
import { SdsDialogService } from './dialog';
import { SdsDialogRef } from './dialog-ref';
import * as i0 from "@angular/core";
/**
 * Button that will close the current dialog.
 */
export declare class SdsDialogCloseDirective implements OnInit, OnChanges {
    dialogRef: SdsDialogRef<any>;
    private _elementRef;
    private _dialog;
    /** Screenreader label for the button. */
    ariaLabel: string;
    /** Dialog close input. */
    dialogResult: any;
    _sdsDialogClose: any;
    constructor(dialogRef: SdsDialogRef<any>, _elementRef: ElementRef<HTMLElement>, _dialog: SdsDialogService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsDialogCloseDirective, [{ optional: true; }, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsDialogCloseDirective, "button[sds-dialog-close], button[sdsDialogClose]", ["sdsDialogClose"], { "ariaLabel": { "alias": "aria-label"; "required": false; }; "dialogResult": { "alias": "sds-dialog-close"; "required": false; }; "_sdsDialogClose": { "alias": "sdsDialogClose"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * Title of a dialog element. Stays fixed to the top of the dialog when scrolling.
 */
export declare class SdsDialogTitleDirective implements OnInit {
    private _dialogRef;
    private _elementRef;
    private _dialog;
    id: string;
    constructor(_dialogRef: SdsDialogRef<any>, _elementRef: ElementRef<HTMLElement>, _dialog: SdsDialogService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsDialogTitleDirective, [{ optional: true; }, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsDialogTitleDirective, "[sds-dialog-title], [sdsDialogTitle]", ["sdsDialogTitle"], { "id": { "alias": "id"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * SubTitle of a dialog element
 */
export declare class SdsDialogSubtitleDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsDialogSubtitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsDialogSubtitleDirective, "[sds-dialog-subtitle], sds-dialog-subtitle, [sdsDialogSubtitle]", never, {}, {}, never, never, false, never>;
}
/**
 * Scrollable content container of a dialog.
 */
export declare class SdsDialogContentDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsDialogContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsDialogContentDirective, "[sds-dialog-content], sds-dialog-content, [sdsDialogContent]", never, {}, {}, never, never, false, never>;
}
/**
 * Container for the bottom action buttons in a dialog.
 * Stays fixed to the bottom when scrolling.
 */
export declare class SdsDialogActionsDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsDialogActionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsDialogActionsDirective, "[sds-dialog-actions], sds-dialog-actions, [sdsDialogActions]", never, {}, {}, never, never, false, never>;
}
