import { TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Define expiration date for a given element. If current date is
 * past expiration date, the given element will not be displayed
 * to the user
 * usage:
 * <div *expires="'2021-01-13T22:30:59">
 * </div>
 * The element above expires after January 13 2021 10:30:59pm at user's local timezone.
 *
 * You may also define desired timezone in following format:
 * YYYY-MM-DDThh:mm:ss.sssZ
 * example: 2021:01013T22:30:59.000+5:00 // Eastern time
 */
export declare class SdsExpiresDirective {
    private templateRef;
    private viewContainer;
    /**
     * Expiration date string. This string should be parsable
     * through native Date object
     * */
    set expires(date: string);
    private initialized;
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsExpiresDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsExpiresDirective, "[expires]", never, { "expires": { "alias": "expires"; "required": false; }; }, {}, never, never, false, never>;
}
