import { ElementRef, ViewContainerRef, OnChanges, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ExternalLinkDirective implements OnChanges {
    private platformId;
    private el;
    private vc;
    private renderer;
    relAttr: string;
    targetAttr: string;
    hrefAttr: string;
    href: string;
    target: string;
    hideIcon: boolean;
    /** Treat these domains as internal links */
    private internalLinks;
    private readonly emailLinkKeyword;
    constructor(platformId: string, el: ElementRef, vc: ViewContainerRef, renderer: Renderer2);
    ngOnChanges(): void;
    /**
     * Appends indication that the link will open in a separate window to the aria label.
     * If link does not contain any aria label, then an aria label will be generated using either the inner text
     *  or href value based on whether the anchor element contains children elements or not
     * If link contains aria label, but the label does not contain key words 'new' or 'window',
     *  then the text 'opens in a new window' will be appended to the end of the aria label
     * If link contains aria label as well as the key words 'new' and 'window', then aria label will
     *  be kept as is
     */
    private _getAriaLabel;
    private get isExternalLink();
    private get iconVisible();
    private createIcon;
    private removeIcon;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExternalLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ExternalLinkDirective, "a[href]", never, { "href": { "alias": "href"; "required": false; }; "target": { "alias": "target"; "required": false; }; "hideIcon": { "alias": "hideIcon"; "required": false; }; }, {}, never, never, false, never>;
}
