import { ElementRef, OnDestroy } from '@angular/core';
import { FocusableOption, FocusMonitor, FocusOrigin } from '@angular/cdk/a11y';
import { SdsMenuInterface } from './menu.component';
import { SdsMenuHeaderComponent } from './menu-header.component';
import * as i0 from "@angular/core";
export declare class SdsMenuItemComponent implements FocusableOption, OnDestroy {
    private _elementRef;
    private _focusMonitor;
    private _parentMenu;
    private _parentMenuHeader;
    /** Menu item class */
    class: string;
    /** ARIA role for the menu item. */
    role: 'menuitem';
    /** Menu item tab index */
    tabIndex: string;
    /** Holds the disable status value */
    private _disabled;
    /** Whether the menu item should be disabled */
    constructor(_elementRef: ElementRef<HTMLElement>, _focusMonitor: FocusMonitor, _parentMenu: SdsMenuInterface<SdsMenuItemComponent>, _parentMenuHeader: SdsMenuHeaderComponent);
    /** Get item class */
    _getClass(): string;
    /** Focuses the menu item. */
    focus(origin?: FocusOrigin): void;
    /** Stop listening to focus changes and remove item from parent */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsMenuItemComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsMenuItemComponent, "[sds-menu-item]", never, { "role": { "alias": "role"; "required": false; }; }, {}, never, ["*"], false, never>;
}
