import { EventEmitter, ElementRef, OnInit, OnDestroy } from '@angular/core';
import { ViewportRuler } from '@angular/cdk/overlay';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Directive that triggers a callback whenever the width of
 * its associated element has changed.
 */
export declare class SdsObserveWidthDirective implements OnInit, OnDestroy {
    private _elementRef;
    private viewportRuler;
    /** Event emitted for each change in the element's width. */
    elementWidth: EventEmitter<number>;
    /** Subscription to window resize stream */
    windowResize$: Subscription;
    constructor(_elementRef: ElementRef<HTMLElement>, viewportRuler: ViewportRuler);
    ngOnInit(): void;
    ngOnDestroy(): void;
    _emitEvent(): void;
    _getElementWidth(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsObserveWidthDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsObserveWidthDirective, "[sdsObserveWidth]", never, {}, { "elementWidth": "sdsObserveWidth"; }, never, never, false, never>;
}
