import { ElementRef, AfterViewInit, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FocusMonitor } from '@angular/cdk/a11y';
import { ViewportRuler } from '@angular/cdk/overlay';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SearchSettings {
    placeholder: string;
    ariaLabel?: string;
    size?: string;
    inputClass?: string;
    parentSelector?: string;
    id?: string;
    dropdown?: any;
    isSuffixSearchIcon?: boolean;
}
export declare class SdsSearchComponent implements AfterViewInit, ControlValueAccessor {
    private cd;
    private focusMonitor;
    private viewportRuler;
    inputEl: ElementRef;
    selectEl: ElementRef;
    buttonEl: ElementRef;
    searchSettings: SearchSettings;
    submit: EventEmitter<{
        searchText: string;
    }>;
    model: any;
    inputState: {
        initial: {
            visible: any;
        };
        visible: any;
    };
    onChange: (_: any) => void;
    onTouched: () => void;
    constructor(cd: ChangeDetectorRef, focusMonitor: FocusMonitor, viewportRuler: ViewportRuler);
    ngAfterViewInit(): void;
    hasDropdown(): boolean;
    handleClick(event: any): void;
    writeValueToModel(): void;
    writeValue(value: any): void;
    registerOnTouched(fn: any): void;
    registerOnChange(fn: any): void;
    isInputVisible(): boolean;
    setInputVisibleStyles(): void;
    removeInputVisibleStyles(): void;
    focusChange(): void;
    calculateInputWidth(): number;
    getClass(): string;
    clearInput(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsSearchComponent, "sds-search", never, { "searchSettings": { "alias": "searchSettings"; "required": false; }; }, { "submit": "submit"; }, never, never, false, never>;
}
