import { EventEmitter } from '@angular/core';
import { NavigationLink } from '../../side-navigation/model/side-navigation-model';
import { SelectionPanelModel } from '../model/selection-panel.model';
import * as i0 from "@angular/core";
export declare class SdsSelectionPanelComponent {
    /**
     * Model containing navigation links as well as a selection mode property.
     * Navigation mode is implied if no selection mode is passed in
     */
    model: SelectionPanelModel;
    /**
     * True if users would prefer to navigate on panel selection, false otherwise.
     * Navigation feature is not supported on SELECTION mode. On NAVIGATION mode,
     * this is enabled by default
     */
    navigateOnClick: boolean;
    /**
     * Allows users to programatically select panel item. Can also be used
     * to select initial panel
     */
    currentSelection: NavigationLink;
    /**
     * Outputs a NavigationLink item when it is selected from the panel
     */
    panelSelected: EventEmitter<NavigationLink>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsSelectionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsSelectionPanelComponent, "sds-selection-panel", never, { "model": { "alias": "model"; "required": false; }; "navigateOnClick": { "alias": "navigateOnClick"; "required": false; }; "currentSelection": { "alias": "currentSelection"; "required": false; }; }, { "panelSelected": "panelSelected"; }, never, never, false, never>;
}
